[VOTE] Release Apache Flex SDK 4.16.1 - RC2

classic Classic list List threaded Threaded
6 messages Options
Reply | Threaded
Open this post in threaded view
|

[VOTE] Release Apache Flex SDK 4.16.1 - RC2

piotrz
Hi Folks,

This is a Apache Flex SDK 4.16.1 release candidate 2 Please see the
RELEASE_NOTES and the README.

Changes:
- Sources has been prepared using JAVA_TOOL_OPTIONS=-Dfile.encoding=UTF8
- Sources from the git repository has been checkout without line change
with option core.autocrlf=input which helps to resolve issue with launch
*.sh scripts on Mac

The release candidate can be found here:
*https://dist.apache.org/repos/dist/dev/flex/sdk/4.16.1/rc2/
<https://dist.apache.org/repos/dist/dev/flex/sdk/4.16.1/rc2/>*

The binary distributions as a convenience for the respective platforms, are
available here:
*https://dist.apache.org/repos/dist/dev/flex/sdk/4.16.1/rc2/binaries/
<https://dist.apache.org/repos/dist/dev/flex/sdk/4.16.1/rc2/binaries/>*

The most convenient way to use the binary package is to install it via Ant
or the Installer. To use an Installer you should use Apache Flex SDK
Installer 3.3 RC2:
https://dist.apache.org/repos/dist/dev/flex/installer/3.3/rc2/binaries/

Before voting please review the section, 'What are the ASF requirements on
approving a release?', at:
http://www.apache.org/dev/release.html#approving-a-release

At a minimum you would be expected to check that:
    - MD5 and signed packages are correct
    - README, RELEASE_NOTES, NOTICE and LICENSE files are all fine
    - That you can compile from source package
    - That the SDK can be used in your IDE of choice
    - That the SDK can be used to make a mobile, desktop and browser
application

When testing please check the md5 and asc files and make sure that the
source can be compiled.

Please vote to approve this release:
    +1 Approve the release
    -1 Veto the release (please provide specific comments to why)

This vote will be open for 72 hours or until a result can be called.

The vote passes if there is:
    - At least 3 +1 votes from the PMC
    - More positive votes than negative votes

If you find an issue with the release that's a 'show stopper' please don't
hold off voting -1. If someone votes -1 please continue testing as we want
to try and catch as many issues as we can and cut down on the number of
release candidates. Remember existing voters can change their vote during
the voting process.

People who are not in PMC are also encouraged to test out the release and
vote, although their votes will not be binding, they can influence how the
PMC votes.

When voting please indicate what OS, IDE, Flash Player version and AIR
version you tested the SDK with.

Please put all discussion about this release in the DISCUSSION thread not
this VOTE thread.

For your convenience, there issues an Ant script in the RC folder that
automates the checks a voter should perform on the RC.  It will:
    - download the default source package for your OS (use -Dpackage.suffix
to override)
    - run md5 and gpg checks (this assumes you have gpg installed in your
path)\n\
    - uncompress the source package
    - install and run rat
    - display the rat report and ask you to verify
    - display the rat report without the AL files and ask you to verify the
non-AL files
    - display the README and ask you to verify
    - display the RELEASE_NOTES and ask you to verify
    - display the NOTICE and ask you to verify
    - display the LICENSE and ask you to verify
    - run the build and any tests run by the build.


You should be able to go away for a while during the build.  When it is
finished, it will display information to be copied into the vote thread.
You are not required to use this script, and more testing of the packages
and build results are always encouraged.

To use this script (assuming you have Ant installed), it should be as
simple as:
    - Create an empty folder
    - Download ApproveSDK.xml into that folder from:
       *https://dist.apache.org/repos/dist/dev/flex/sdk/4.16.1/rc2/ApproveSDK.xml
<https://dist.apache.org/repos/dist/dev/flex/sdk/4.16.1/rc2/ApproveSDK.xml>*

    - Run: ant -e -f ApproveSDK.xml -Drelease.version=4.16.1 -Drc=1

Thanks,
--

Piotr Zarzycki

Patreon: *https://www.patreon.com/piotrzarzycki
<https://www.patreon.com/piotrzarzycki>*
Reply | Threaded
Open this post in threaded view
|

Re: [VOTE] Release Apache Flex SDK 4.16.1 - RC2

Alex Harui-2
+1
Package
https://dist.apache.org/repos/dist/dev/flex/sdk/4.16.1/rc2/apache-flex-sdk-
4.16.1-src.tar.gz
Java 1.8
OS: Mac OS X x86_64 10.12.5
Source kit signatures match: y
Source kit builds: y
README is ok: y
RELEASE_NOTES is ok: y
NOTICE is ok: y
LICENSE is ok: y
No unapproved licenses or archives: y
No unapproved binaries: y


Package
https://dist.apache.org/repos/dist/dev/flex/sdk/4.16.1/rc2/binaries/apache-
flex-sdk-4.16.1-bin.tar.gz
Binary kit signatures match: y
NOTICE is ok: y
LICENSE is ok: y
No unapproved licenses or files in jars: y
No unapproved licenses or archives in binary package: y
No unapproved binaries in binary package: y


Also tested on Windows as well.

Thanks,
-Alex



On 11/15/17, 1:15 AM, "Piotr Zarzycki" <[hidden email]> wrote:

>Hi Folks,
>
>This is a Apache Flex SDK 4.16.1 release candidate 2 Please see the
>RELEASE_NOTES and the README.
>
>Changes:
>- Sources has been prepared using JAVA_TOOL_OPTIONS=-Dfile.encoding=UTF8
>- Sources from the git repository has been checkout without line change
>with option core.autocrlf=input which helps to resolve issue with launch
>*.sh scripts on Mac
>
>The release candidate can be found here:
>*https://na01.safelinks.protection.outlook.com/?url=https%3A%2F%2Fdist.apa
>che.org%2Frepos%2Fdist%2Fdev%2Fflex%2Fsdk%2F4.16.1%2Frc2%2F&data=02%7C01%7
>C%7C0ebada037028456b2e6808d52c097271%7Cfa7b1b5a7b34438794aed2c178decee1%7C
>0%7C0%7C636463341459710789&sdata=PxNswc5P5at3Ch0jRNBU390lbkqkjdg%2FwZ32pyQ
>F51U%3D&reserved=0
><https://na01.safelinks.protection.outlook.com/?url=https%3A%2F%2Fdist.apa
>che.org%2Frepos%2Fdist%2Fdev%2Fflex%2Fsdk%2F4.16.1%2Frc2%2F&data=02%7C01%7
>C%7C0ebada037028456b2e6808d52c097271%7Cfa7b1b5a7b34438794aed2c178decee1%7C
>0%7C0%7C636463341459710789&sdata=PxNswc5P5at3Ch0jRNBU390lbkqkjdg%2FwZ32pyQ
>F51U%3D&reserved=0>*
>
>The binary distributions as a convenience for the respective platforms,
>are
>available here:
>*https://na01.safelinks.protection.outlook.com/?url=https%3A%2F%2Fdist.apa
>che.org%2Frepos%2Fdist%2Fdev%2Fflex%2Fsdk%2F4.16.1%2Frc2%2Fbinaries%2F&dat
>a=02%7C01%7C%7C0ebada037028456b2e6808d52c097271%7Cfa7b1b5a7b34438794aed2c1
>78decee1%7C0%7C0%7C636463341459710789&sdata=zRvH%2BPsj%2FOYBJpBVNA%2BIBaEV
>bsgb90VZ0TqhFn%2FBUfw%3D&reserved=0
><https://na01.safelinks.protection.outlook.com/?url=https%3A%2F%2Fdist.apa
>che.org%2Frepos%2Fdist%2Fdev%2Fflex%2Fsdk%2F4.16.1%2Frc2%2Fbinaries%2F&dat
>a=02%7C01%7C%7C0ebada037028456b2e6808d52c097271%7Cfa7b1b5a7b34438794aed2c1
>78decee1%7C0%7C0%7C636463341459710789&sdata=zRvH%2BPsj%2FOYBJpBVNA%2BIBaEV
>bsgb90VZ0TqhFn%2FBUfw%3D&reserved=0>*
>
>The most convenient way to use the binary package is to install it via Ant
>or the Installer. To use an Installer you should use Apache Flex SDK
>Installer 3.3 RC2:
>https://na01.safelinks.protection.outlook.com/?url=https%3A%2F%2Fdist.apac
>he.org%2Frepos%2Fdist%2Fdev%2Fflex%2Finstaller%2F3.3%2Frc2%2Fbinaries%2F&d
>ata=02%7C01%7C%7C0ebada037028456b2e6808d52c097271%7Cfa7b1b5a7b34438794aed2
>c178decee1%7C0%7C0%7C636463341459710789&sdata=w3j8J1LzrxnBN5OpwAXFI51lAPn7
>42TKrXcpBQ6Tes8%3D&reserved=0
>
>Before voting please review the section, 'What are the ASF requirements on
>approving a release?', at:
>https://na01.safelinks.protection.outlook.com/?url=http%3A%2F%2Fwww.apache
>.org%2Fdev%2Frelease.html%23approving-a-release&data=02%7C01%7C%7C0ebada03
>7028456b2e6808d52c097271%7Cfa7b1b5a7b34438794aed2c178decee1%7C0%7C0%7C6364
>63341459710789&sdata=voph4OsJ4l5BGY%2BOPP%2BYAq%2B%2FjG7Y18HuUH8AKJPC72c%3
>D&reserved=0
>
>At a minimum you would be expected to check that:
>    - MD5 and signed packages are correct
>    - README, RELEASE_NOTES, NOTICE and LICENSE files are all fine
>    - That you can compile from source package
>    - That the SDK can be used in your IDE of choice
>    - That the SDK can be used to make a mobile, desktop and browser
>application
>
>When testing please check the md5 and asc files and make sure that the
>source can be compiled.
>
>Please vote to approve this release:
>    +1 Approve the release
>    -1 Veto the release (please provide specific comments to why)
>
>This vote will be open for 72 hours or until a result can be called.
>
>The vote passes if there is:
>    - At least 3 +1 votes from the PMC
>    - More positive votes than negative votes
>
>If you find an issue with the release that's a 'show stopper' please don't
>hold off voting -1. If someone votes -1 please continue testing as we want
>to try and catch as many issues as we can and cut down on the number of
>release candidates. Remember existing voters can change their vote during
>the voting process.
>
>People who are not in PMC are also encouraged to test out the release and
>vote, although their votes will not be binding, they can influence how the
>PMC votes.
>
>When voting please indicate what OS, IDE, Flash Player version and AIR
>version you tested the SDK with.
>
>Please put all discussion about this release in the DISCUSSION thread not
>this VOTE thread.
>
>For your convenience, there issues an Ant script in the RC folder that
>automates the checks a voter should perform on the RC.  It will:
>    - download the default source package for your OS (use
>-Dpackage.suffix
>to override)
>    - run md5 and gpg checks (this assumes you have gpg installed in your
>path)\n\
>    - uncompress the source package
>    - install and run rat
>    - display the rat report and ask you to verify
>    - display the rat report without the AL files and ask you to verify
>the
>non-AL files
>    - display the README and ask you to verify
>    - display the RELEASE_NOTES and ask you to verify
>    - display the NOTICE and ask you to verify
>    - display the LICENSE and ask you to verify
>    - run the build and any tests run by the build.
>
>
>You should be able to go away for a while during the build.  When it is
>finished, it will display information to be copied into the vote thread.
>You are not required to use this script, and more testing of the packages
>and build results are always encouraged.
>
>To use this script (assuming you have Ant installed), it should be as
>simple as:
>    - Create an empty folder
>    - Download ApproveSDK.xml into that folder from:
>      
>*https://na01.safelinks.protection.outlook.com/?url=https%3A%2F%2Fdist.apa
>che.org%2Frepos%2Fdist%2Fdev%2Fflex%2Fsdk%2F4.16.1%2Frc2%2FApproveSDK.xml&
>data=02%7C01%7C%7C0ebada037028456b2e6808d52c097271%7Cfa7b1b5a7b34438794aed
>2c178decee1%7C0%7C0%7C636463341459710789&sdata=Z2LFzd48ezAxLZVJOTUYJCBpimR
>l%2BRCmXc0VDAgsdbM%3D&reserved=0
><https://na01.safelinks.protection.outlook.com/?url=https%3A%2F%2Fdist.apa
>che.org%2Frepos%2Fdist%2Fdev%2Fflex%2Fsdk%2F4.16.1%2Frc2%2FApproveSDK.xml&
>data=02%7C01%7C%7C0ebada037028456b2e6808d52c097271%7Cfa7b1b5a7b34438794aed
>2c178decee1%7C0%7C0%7C636463341459710789&sdata=Z2LFzd48ezAxLZVJOTUYJCBpimR
>l%2BRCmXc0VDAgsdbM%3D&reserved=0>*
>
>    - Run: ant -e -f ApproveSDK.xml -Drelease.version=4.16.1 -Drc=1
>
>Thanks,
>--
>
>Piotr Zarzycki
>
>Patreon:
>*https://na01.safelinks.protection.outlook.com/?url=https%3A%2F%2Fwww.patr
>eon.com%2Fpiotrzarzycki&data=02%7C01%7C%7C0ebada037028456b2e6808d52c097271
>%7Cfa7b1b5a7b34438794aed2c178decee1%7C0%7C0%7C636463341459710789&sdata=w9c
>82rRktpyvtwkOYGbXbOdGiFh%2FcJrum2JaP9VG84k%3D&reserved=0
><https://na01.safelinks.protection.outlook.com/?url=https%3A%2F%2Fwww.patr
>eon.com%2Fpiotrzarzycki&data=02%7C01%7C%7C0ebada037028456b2e6808d52c097271
>%7Cfa7b1b5a7b34438794aed2c178decee1%7C0%7C0%7C636463341459710789&sdata=w9c
>82rRktpyvtwkOYGbXbOdGiFh%2FcJrum2JaP9VG84k%3D&reserved=0>*

Reply | Threaded
Open this post in threaded view
|

Re: [VOTE] Release Apache Flex SDK 4.16.1 - RC2

Peter Ent-2
In reply to this post by piotrz
-1

ApproveSDK.xml
I used both Java 1.8 and Java 1.7. The script fails on the osmf.xml
download again.
macOS 10.12.6

Peter Ent

On 11/15/17, 4:15 AM, "Piotr Zarzycki" <[hidden email]> wrote:

>Hi Folks,
>
>This is a Apache Flex SDK 4.16.1 release candidate 2 Please see the
>RELEASE_NOTES and the README.
>
>Changes:
>- Sources has been prepared using JAVA_TOOL_OPTIONS=-Dfile.encoding=UTF8
>- Sources from the git repository has been checkout without line change
>with option core.autocrlf=input which helps to resolve issue with launch
>*.sh scripts on Mac
>
>The release candidate can be found here:
>*https://na01.safelinks.protection.outlook.com/?url=https%3A%2F%2Fdist.apa
>che.org%2Frepos%2Fdist%2Fdev%2Fflex%2Fsdk%2F4.16.1%2Frc2%2F&data=02%7C01%7
>C%7Ce24b18e0f6cd4520811a08d52c09726c%7Cfa7b1b5a7b34438794aed2c178decee1%7C
>0%7C0%7C636463341455363318&sdata=WGgqV5J62c7YlxD6Tm%2FkOdgSG5N5F530cSXVatJ
>USW0%3D&reserved=0
><https://na01.safelinks.protection.outlook.com/?url=https%3A%2F%2Fdist.apa
>che.org%2Frepos%2Fdist%2Fdev%2Fflex%2Fsdk%2F4.16.1%2Frc2%2F&data=02%7C01%7
>C%7Ce24b18e0f6cd4520811a08d52c09726c%7Cfa7b1b5a7b34438794aed2c178decee1%7C
>0%7C0%7C636463341455363318&sdata=WGgqV5J62c7YlxD6Tm%2FkOdgSG5N5F530cSXVatJ
>USW0%3D&reserved=0>*
>
>The binary distributions as a convenience for the respective platforms,
>are
>available here:
>*https://na01.safelinks.protection.outlook.com/?url=https%3A%2F%2Fdist.apa
>che.org%2Frepos%2Fdist%2Fdev%2Fflex%2Fsdk%2F4.16.1%2Frc2%2Fbinaries%2F&dat
>a=02%7C01%7C%7Ce24b18e0f6cd4520811a08d52c09726c%7Cfa7b1b5a7b34438794aed2c1
>78decee1%7C0%7C0%7C636463341455363318&sdata=ZJtyyozOB5yYTVQiVbRsXBqRPO6OTA
>z%2FruDBYJ4mN9o%3D&reserved=0
><https://na01.safelinks.protection.outlook.com/?url=https%3A%2F%2Fdist.apa
>che.org%2Frepos%2Fdist%2Fdev%2Fflex%2Fsdk%2F4.16.1%2Frc2%2Fbinaries%2F&dat
>a=02%7C01%7C%7Ce24b18e0f6cd4520811a08d52c09726c%7Cfa7b1b5a7b34438794aed2c1
>78decee1%7C0%7C0%7C636463341455363318&sdata=ZJtyyozOB5yYTVQiVbRsXBqRPO6OTA
>z%2FruDBYJ4mN9o%3D&reserved=0>*
>
>The most convenient way to use the binary package is to install it via Ant
>or the Installer. To use an Installer you should use Apache Flex SDK
>Installer 3.3 RC2:
>https://na01.safelinks.protection.outlook.com/?url=https%3A%2F%2Fdist.apac
>he.org%2Frepos%2Fdist%2Fdev%2Fflex%2Finstaller%2F3.3%2Frc2%2Fbinaries%2F&d
>ata=02%7C01%7C%7Ce24b18e0f6cd4520811a08d52c09726c%7Cfa7b1b5a7b34438794aed2
>c178decee1%7C0%7C0%7C636463341455363318&sdata=D0GWoQFlmeku0qPwrfYrI1WlU6Dd
>w6nw1ReVgJitnFc%3D&reserved=0
>
>Before voting please review the section, 'What are the ASF requirements on
>approving a release?', at:
>https://na01.safelinks.protection.outlook.com/?url=http%3A%2F%2Fwww.apache
>.org%2Fdev%2Frelease.html%23approving-a-release&data=02%7C01%7C%7Ce24b18e0
>f6cd4520811a08d52c09726c%7Cfa7b1b5a7b34438794aed2c178decee1%7C0%7C0%7C6364
>63341455363318&sdata=KU8ZMDcxPm06ptkGv601ov1ddoBpnJV2r4Ojs3HiKdY%3D&reserv
>ed=0
>
>At a minimum you would be expected to check that:
>    - MD5 and signed packages are correct
>    - README, RELEASE_NOTES, NOTICE and LICENSE files are all fine
>    - That you can compile from source package
>    - That the SDK can be used in your IDE of choice
>    - That the SDK can be used to make a mobile, desktop and browser
>application
>
>When testing please check the md5 and asc files and make sure that the
>source can be compiled.
>
>Please vote to approve this release:
>    +1 Approve the release
>    -1 Veto the release (please provide specific comments to why)
>
>This vote will be open for 72 hours or until a result can be called.
>
>The vote passes if there is:
>    - At least 3 +1 votes from the PMC
>    - More positive votes than negative votes
>
>If you find an issue with the release that's a 'show stopper' please don't
>hold off voting -1. If someone votes -1 please continue testing as we want
>to try and catch as many issues as we can and cut down on the number of
>release candidates. Remember existing voters can change their vote during
>the voting process.
>
>People who are not in PMC are also encouraged to test out the release and
>vote, although their votes will not be binding, they can influence how the
>PMC votes.
>
>When voting please indicate what OS, IDE, Flash Player version and AIR
>version you tested the SDK with.
>
>Please put all discussion about this release in the DISCUSSION thread not
>this VOTE thread.
>
>For your convenience, there issues an Ant script in the RC folder that
>automates the checks a voter should perform on the RC.  It will:
>    - download the default source package for your OS (use
>-Dpackage.suffix
>to override)
>    - run md5 and gpg checks (this assumes you have gpg installed in your
>path)\n\
>    - uncompress the source package
>    - install and run rat
>    - display the rat report and ask you to verify
>    - display the rat report without the AL files and ask you to verify
>the
>non-AL files
>    - display the README and ask you to verify
>    - display the RELEASE_NOTES and ask you to verify
>    - display the NOTICE and ask you to verify
>    - display the LICENSE and ask you to verify
>    - run the build and any tests run by the build.
>
>
>You should be able to go away for a while during the build.  When it is
>finished, it will display information to be copied into the vote thread.
>You are not required to use this script, and more testing of the packages
>and build results are always encouraged.
>
>To use this script (assuming you have Ant installed), it should be as
>simple as:
>    - Create an empty folder
>    - Download ApproveSDK.xml into that folder from:
>      
>*https://na01.safelinks.protection.outlook.com/?url=https%3A%2F%2Fdist.apa
>che.org%2Frepos%2Fdist%2Fdev%2Fflex%2Fsdk%2F4.16.1%2Frc2%2FApproveSDK.xml&
>data=02%7C01%7C%7Ce24b18e0f6cd4520811a08d52c09726c%7Cfa7b1b5a7b34438794aed
>2c178decee1%7C0%7C0%7C636463341455363318&sdata=NIn7rsi8MyRtcA9Xp1GGeSTSoIr
>onozX9ryVZDvInKk%3D&reserved=0
><https://na01.safelinks.protection.outlook.com/?url=https%3A%2F%2Fdist.apa
>che.org%2Frepos%2Fdist%2Fdev%2Fflex%2Fsdk%2F4.16.1%2Frc2%2FApproveSDK.xml&
>data=02%7C01%7C%7Ce24b18e0f6cd4520811a08d52c09726c%7Cfa7b1b5a7b34438794aed
>2c178decee1%7C0%7C0%7C636463341455363318&sdata=NIn7rsi8MyRtcA9Xp1GGeSTSoIr
>onozX9ryVZDvInKk%3D&reserved=0>*
>
>    - Run: ant -e -f ApproveSDK.xml -Drelease.version=4.16.1 -Drc=1
>
>Thanks,
>--
>
>Piotr Zarzycki
>
>Patreon:
>*https://na01.safelinks.protection.outlook.com/?url=https%3A%2F%2Fwww.patr
>eon.com%2Fpiotrzarzycki&data=02%7C01%7C%7Ce24b18e0f6cd4520811a08d52c09726c
>%7Cfa7b1b5a7b34438794aed2c178decee1%7C0%7C0%7C636463341455363318&sdata=bLB
>RKSAEHA9khefkXr26M2CRMAKQEE%2FcG68KDFrHcyo%3D&reserved=0
><https://na01.safelinks.protection.outlook.com/?url=https%3A%2F%2Fwww.patr
>eon.com%2Fpiotrzarzycki&data=02%7C01%7C%7Ce24b18e0f6cd4520811a08d52c09726c
>%7Cfa7b1b5a7b34438794aed2c178decee1%7C0%7C0%7C636463341455363318&sdata=bLB
>RKSAEHA9khefkXr26M2CRMAKQEE%2FcG68KDFrHcyo%3D&reserved=0>*

Reply | Threaded
Open this post in threaded view
|

Re: [VOTE] Release Apache Flex SDK 4.16.1 - RC2

Peter Ent-2
+1

The problem on my part which caused the failure of the installation. Once
corrected the install completed and I was able to verify it.

Regards,
Peter

On 11/20/17, 1:40 PM, "Peter Ent" <[hidden email]> wrote:

>-1
>
>ApproveSDK.xml
>I used both Java 1.8 and Java 1.7. The script fails on the osmf.xml
>download again.
>macOS 10.12.6
>
>Peter Ent
>
>On 11/15/17, 4:15 AM, "Piotr Zarzycki" <[hidden email]> wrote:
>
>>Hi Folks,
>>
>>This is a Apache Flex SDK 4.16.1 release candidate 2 Please see the
>>RELEASE_NOTES and the README.
>>
>>Changes:
>>- Sources has been prepared using JAVA_TOOL_OPTIONS=-Dfile.encoding=UTF8
>>- Sources from the git repository has been checkout without line change
>>with option core.autocrlf=input which helps to resolve issue with launch
>>*.sh scripts on Mac
>>
>>The release candidate can be found here:
>>*https://na01.safelinks.protection.outlook.com/?url=https%3A%2F%2Fdist.ap
>>a
>>che.org%2Frepos%2Fdist%2Fdev%2Fflex%2Fsdk%2F4.16.1%2Frc2%2F&data=02%7C01%
>>7
>>C%7Ce24b18e0f6cd4520811a08d52c09726c%7Cfa7b1b5a7b34438794aed2c178decee1%7
>>C
>>0%7C0%7C636463341455363318&sdata=WGgqV5J62c7YlxD6Tm%2FkOdgSG5N5F530cSXVat
>>J
>>USW0%3D&reserved=0
>><https://na01.safelinks.protection.outlook.com/?url=https%3A%2F%2Fdist.ap
>>a
>>che.org%2Frepos%2Fdist%2Fdev%2Fflex%2Fsdk%2F4.16.1%2Frc2%2F&data=02%7C01%
>>7
>>C%7Ce24b18e0f6cd4520811a08d52c09726c%7Cfa7b1b5a7b34438794aed2c178decee1%7
>>C
>>0%7C0%7C636463341455363318&sdata=WGgqV5J62c7YlxD6Tm%2FkOdgSG5N5F530cSXVat
>>J
>>USW0%3D&reserved=0>*
>>
>>The binary distributions as a convenience for the respective platforms,
>>are
>>available here:
>>*https://na01.safelinks.protection.outlook.com/?url=https%3A%2F%2Fdist.ap
>>a
>>che.org%2Frepos%2Fdist%2Fdev%2Fflex%2Fsdk%2F4.16.1%2Frc2%2Fbinaries%2F&da
>>t
>>a=02%7C01%7C%7Ce24b18e0f6cd4520811a08d52c09726c%7Cfa7b1b5a7b34438794aed2c
>>1
>>78decee1%7C0%7C0%7C636463341455363318&sdata=ZJtyyozOB5yYTVQiVbRsXBqRPO6OT
>>A
>>z%2FruDBYJ4mN9o%3D&reserved=0
>><https://na01.safelinks.protection.outlook.com/?url=https%3A%2F%2Fdist.ap
>>a
>>che.org%2Frepos%2Fdist%2Fdev%2Fflex%2Fsdk%2F4.16.1%2Frc2%2Fbinaries%2F&da
>>t
>>a=02%7C01%7C%7Ce24b18e0f6cd4520811a08d52c09726c%7Cfa7b1b5a7b34438794aed2c
>>1
>>78decee1%7C0%7C0%7C636463341455363318&sdata=ZJtyyozOB5yYTVQiVbRsXBqRPO6OT
>>A
>>z%2FruDBYJ4mN9o%3D&reserved=0>*
>>
>>The most convenient way to use the binary package is to install it via
>>Ant
>>or the Installer. To use an Installer you should use Apache Flex SDK
>>Installer 3.3 RC2:
>>https://na01.safelinks.protection.outlook.com/?url=https%3A%2F%2Fdist.apa
>>c
>>he.org%2Frepos%2Fdist%2Fdev%2Fflex%2Finstaller%2F3.3%2Frc2%2Fbinaries%2F&
>>d
>>ata=02%7C01%7C%7Ce24b18e0f6cd4520811a08d52c09726c%7Cfa7b1b5a7b34438794aed
>>2
>>c178decee1%7C0%7C0%7C636463341455363318&sdata=D0GWoQFlmeku0qPwrfYrI1WlU6D
>>d
>>w6nw1ReVgJitnFc%3D&reserved=0
>>
>>Before voting please review the section, 'What are the ASF requirements
>>on
>>approving a release?', at:
>>https://na01.safelinks.protection.outlook.com/?url=http%3A%2F%2Fwww.apach
>>e
>>.org%2Fdev%2Frelease.html%23approving-a-release&data=02%7C01%7C%7Ce24b18e
>>0
>>f6cd4520811a08d52c09726c%7Cfa7b1b5a7b34438794aed2c178decee1%7C0%7C0%7C636
>>4
>>63341455363318&sdata=KU8ZMDcxPm06ptkGv601ov1ddoBpnJV2r4Ojs3HiKdY%3D&reser
>>v
>>ed=0
>>
>>At a minimum you would be expected to check that:
>>    - MD5 and signed packages are correct
>>    - README, RELEASE_NOTES, NOTICE and LICENSE files are all fine
>>    - That you can compile from source package
>>    - That the SDK can be used in your IDE of choice
>>    - That the SDK can be used to make a mobile, desktop and browser
>>application
>>
>>When testing please check the md5 and asc files and make sure that the
>>source can be compiled.
>>
>>Please vote to approve this release:
>>    +1 Approve the release
>>    -1 Veto the release (please provide specific comments to why)
>>
>>This vote will be open for 72 hours or until a result can be called.
>>
>>The vote passes if there is:
>>    - At least 3 +1 votes from the PMC
>>    - More positive votes than negative votes
>>
>>If you find an issue with the release that's a 'show stopper' please
>>don't
>>hold off voting -1. If someone votes -1 please continue testing as we
>>want
>>to try and catch as many issues as we can and cut down on the number of
>>release candidates. Remember existing voters can change their vote during
>>the voting process.
>>
>>People who are not in PMC are also encouraged to test out the release and
>>vote, although their votes will not be binding, they can influence how
>>the
>>PMC votes.
>>
>>When voting please indicate what OS, IDE, Flash Player version and AIR
>>version you tested the SDK with.
>>
>>Please put all discussion about this release in the DISCUSSION thread not
>>this VOTE thread.
>>
>>For your convenience, there issues an Ant script in the RC folder that
>>automates the checks a voter should perform on the RC.  It will:
>>    - download the default source package for your OS (use
>>-Dpackage.suffix
>>to override)
>>    - run md5 and gpg checks (this assumes you have gpg installed in your
>>path)\n\
>>    - uncompress the source package
>>    - install and run rat
>>    - display the rat report and ask you to verify
>>    - display the rat report without the AL files and ask you to verify
>>the
>>non-AL files
>>    - display the README and ask you to verify
>>    - display the RELEASE_NOTES and ask you to verify
>>    - display the NOTICE and ask you to verify
>>    - display the LICENSE and ask you to verify
>>    - run the build and any tests run by the build.
>>
>>
>>You should be able to go away for a while during the build.  When it is
>>finished, it will display information to be copied into the vote thread.
>>You are not required to use this script, and more testing of the packages
>>and build results are always encouraged.
>>
>>To use this script (assuming you have Ant installed), it should be as
>>simple as:
>>    - Create an empty folder
>>    - Download ApproveSDK.xml into that folder from:
>>      
>>*https://na01.safelinks.protection.outlook.com/?url=https%3A%2F%2Fdist.ap
>>a
>>che.org%2Frepos%2Fdist%2Fdev%2Fflex%2Fsdk%2F4.16.1%2Frc2%2FApproveSDK.xml
>>&
>>data=02%7C01%7C%7Ce24b18e0f6cd4520811a08d52c09726c%7Cfa7b1b5a7b34438794ae
>>d
>>2c178decee1%7C0%7C0%7C636463341455363318&sdata=NIn7rsi8MyRtcA9Xp1GGeSTSoI
>>r
>>onozX9ryVZDvInKk%3D&reserved=0
>><https://na01.safelinks.protection.outlook.com/?url=https%3A%2F%2Fdist.ap
>>a
>>che.org%2Frepos%2Fdist%2Fdev%2Fflex%2Fsdk%2F4.16.1%2Frc2%2FApproveSDK.xml
>>&
>>data=02%7C01%7C%7Ce24b18e0f6cd4520811a08d52c09726c%7Cfa7b1b5a7b34438794ae
>>d
>>2c178decee1%7C0%7C0%7C636463341455363318&sdata=NIn7rsi8MyRtcA9Xp1GGeSTSoI
>>r
>>onozX9ryVZDvInKk%3D&reserved=0>*
>>
>>    - Run: ant -e -f ApproveSDK.xml -Drelease.version=4.16.1 -Drc=1
>>
>>Thanks,
>>--
>>
>>Piotr Zarzycki
>>
>>Patreon:
>>*https://na01.safelinks.protection.outlook.com/?url=https%3A%2F%2Fwww.pat
>>r
>>eon.com%2Fpiotrzarzycki&data=02%7C01%7C%7Ce24b18e0f6cd4520811a08d52c09726
>>c
>>%7Cfa7b1b5a7b34438794aed2c178decee1%7C0%7C0%7C636463341455363318&sdata=bL
>>B
>>RKSAEHA9khefkXr26M2CRMAKQEE%2FcG68KDFrHcyo%3D&reserved=0
>><https://na01.safelinks.protection.outlook.com/?url=https%3A%2F%2Fwww.pat
>>r
>>eon.com%2Fpiotrzarzycki&data=02%7C01%7C%7Ce24b18e0f6cd4520811a08d52c09726
>>c
>>%7Cfa7b1b5a7b34438794aed2c178decee1%7C0%7C0%7C636463341455363318&sdata=bL
>>B
>>RKSAEHA9khefkXr26M2CRMAKQEE%2FcG68KDFrHcyo%3D&reserved=0>*
>

Reply | Threaded
Open this post in threaded view
|

Re: [VOTE] Release Apache Flex SDK 4.16.1 - RC2

Justin Mclean
Administrator
Hi,

-1 binding because of locale issues.

I checked:
- hashes and signatures correct
- LICENSE and NOTICE good
- no unexpected binary files
- all source file has ASF header where needed
- can compile from source

Tried a few simple tests and while most worked but we are still having locale issues.

For instance when in en_GB the pound sign incorrectly shows as a question mark in a  black dimond.

Thanks,
Justin

Reply | Threaded
Open this post in threaded view
|

Re: [VOTE] Release Apache Flex SDK 4.16.1 - RC2

piotrz
+1 (Binding)
Package
https://dist.apache.org/repos/dist/dev/flex/sdk/4.16.1/rc2/apache-flex-sdk-4.16.1-src.zip
Java 1.8
OS: Windows 10 amd64 10.0
Source kit signatures match: y
Source kit builds: y
README is ok: y
RELEASE_NOTES is ok: y
NOTICE is ok: y
LICENSE is ok: y
No unapproved licenses or archives: y
No unapproved binaries: y

Package
https://dist.apache.org/repos/dist/dev/flex/sdk/4.16.1/rc2/binaries/apache-flex-sdk-4.16.1-bin.zip
Binary kit signatures match: y
NOTICE is ok: y
LICENSE is ok: y
No unapproved licenses or files in jars: y
No unapproved licenses or archives in binary package: y
No unapproved binaries in binary package: y

I have compiled sources of Moonshine and everything looks good.

Thanks,
Piotr


2017-11-21 5:54 GMT+01:00 Justin Mclean <[hidden email]>:

> Hi,
>
> -1 binding because of locale issues.
>
> I checked:
> - hashes and signatures correct
> - LICENSE and NOTICE good
> - no unexpected binary files
> - all source file has ASF header where needed
> - can compile from source
>
> Tried a few simple tests and while most worked but we are still having
> locale issues.
>
> For instance when in en_GB the pound sign incorrectly shows as a question
> mark in a  black dimond.
>
> Thanks,
> Justin
>
>


--

Piotr Zarzycki

Patreon: *https://www.patreon.com/piotrzarzycki
<https://www.patreon.com/piotrzarzycki>*